# Raffles

## Get Raffles

<mark style="color:blue;">`GET`</mark> `https://api.infohunterz.com/v1/raffles/:SKU`

This endpoint allows you to get information and raffles for a specific release we're covering.

#### Path Parameters

| Name | Type   | Description                                      |
| ---- | ------ | ------------------------------------------------ |
| SKU  | string | SKU of the product you want get information for. |

#### Headers

| Name          | Type   | Description          |
| ------------- | ------ | -------------------- |
| Authorization | string | Authorization token. |

{% tabs %}
{% tab title="200 Resource successfully retrieved." %}

```
{
    "name": "Nike Dunk Low Ceramic",
    "release_date": "2020-11-19",
    "retail": "$100",
    "color": "Black-Ceramic/Nori",
    "sku": "DA1469-001",
    "image_url": "https://stockx.imgix.net/Nike-Dunk-Low-Ceramic-2020.png",
    "raffles": [
        {
            "id": "DA1469-001-QMGD31",
            "url": "https://launches.endclothing.com/product/nike-dunk-low-sp-da1469-001",
            "store": "End",
            "store_logo": "https://cdn.discordapp.com/attachments/689193339471528089/722783730145427486/3Y481gJ.png",
            "country_iso": "ww",
            "delivery_type": "Shipping",
            "closing_date": "2020-11-19",
            "raffle_type": "Online",
            "notes": "-"
        },
        ...
    ]
```

{% endtab %}

{% tab title="400 " %}

```
{
    "message": "Missing Authorization Token"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
    "message": "Invalid Authorization Token"
}
```

{% endtab %}

{% tab title="403 " %}

```
{
    "message": "Access Denied"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
    "message": "Product Not Found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infohunterz.com/api/raffles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
